Skip to content

GPT OSS 120B

POST
/project/p-{Project_Id}/genai/gpt_oss_120b/v1/chat/completions
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/project/p-{Project_Id}/genai/gpt_oss_120b/v1/chat/completions?project_id=<PROJECT_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"temperature": 0.5,
"max_tokens": 1024,
"top_p": 1,
"frequency_penalty": 0,
"presence_penalty": 1,
"stream": false,
"model": "gpt_oss_120b",
"messages": [
{
"role": "user",
"content": "Can you write a poem about open source machine learning?"
}
]
}'

GPT OSS 120B is a large-scale open-source reasoning model with exceptional performance in complex reasoning tasks and natural language understanding.

Project_Id
required
string

Path parameter Project_Id.

project_id
required
integer

Project ID

Media typeapplication/json
object
temperature
number

Example

0.5
max_tokens
integer

Example

1024
top_p
number

Example

1
frequency_penalty
number

Example

0
presence_penalty
number

Example

1
stream
boolean

Example

false
model
string

Example

gpt_oss_120b
messages
Array<object>
object
role
string

Example

user
content
string

Example

Can you write a poem about open source machine learning?

Successful response (Non-streaming)

Media typeapplication/json
object
id
string
object
string
created
integer
model
string
choices
Array<object>
object
index
integer
message
object
role
string
content
string
refusal
string
nullable
annotations
string
nullable
audio
string
nullable
function_call
string
nullable
tool_calls
Array<string>
reasoning

The internal reasoning process of the model before generating the final response

string
reasoning_content

The internal reasoning process of the model (duplicate field for compatibility)

string
logprobs
string
nullable
finish_reason
string
stop_reason
string
nullable
token_ids
string
nullable
service_tier
string
nullable
system_fingerprint
string
nullable
usage
object
prompt_tokens
integer
total_tokens
integer
completion_tokens
integer
prompt_tokens_details
string
nullable
prompt_logprobs
string
nullable
prompt_token_ids
string
nullable
kv_transfer_params
string
nullable

Example

{
"id": "chatcmpl-82c7e2c5-a99c-4869-8068-49aa705812ba",
"object": "chat.completion",
"created": 1770614085,
"model": "gpt_oss_120b",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "**Open-Source Machine Learning**\n\nIn a lattice of pull-requests and bright PRs, \nthe code breathes—free as wind through silicon trees...",
"tool_calls": [],
"reasoning": "The user asks: \"Can you write a poem about open source machine learning?\" So we need to produce a poem...",
"reasoning_content": "The user asks: \"Can you write a poem about open source machine learning?\" So we need to produce a poem..."
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 76,
"total_tokens": 461,
"completion_tokens": 385
}
}